
ceph-volume - Bug #26953

allow --cluster-fsid flags

08/16/2018 12:54 PM - Alfredo Deza

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

So that systems where there are multiple clusters (container-based) can specify what they need without having ceph-volume going

out to read a ceph.conf file.

From this comment https://github.com/rook/rook/issues/1342#issuecomment-373891276

Looked a bit at this tonight; one thing to be fixed is that ceph-volume currently assumes it can read ceph.conf to find the cluster

fsid.

History

#1 - 10/03/2018 07:35 PM - Alfredo Deza

- Status changed from New to Fix Under Review

master PR: https://github.com/ceph/ceph/pull/24407

#2 - 12/21/2018 07:11 PM - Alfredo Deza

- Status changed from Fix Under Review to Resolved

mimic PR: https://github.com/ceph/ceph/pull/25116

luminous PR: https://github.com/ceph/ceph/pull/25117
